package wechatrepo

import (
	"context"
	"net/http"
	"voucher/internal/biz/bo"
)

type BankMultiActivityRepo interface {
	Order(order *bo.OrderBo) (couponId string, err error)
	Notify(ctx context.Context, mchId string, headers *http.Header, respBody []byte) (response *bo.WechatVoucherNotifyBo, err error)
	DecodeBody(ctx context.Context, mchId string, respBody []byte) (*bo.WechatVoucherNotifyBo, error)
}
